Subject: Re: [PATCH] powerpc: convert 'iommu_alloc failed' messages to dynamic debug

From: Mauricio Faria de Oliveira <[email-masked]>
Date: Mon, 13 Jun 2016 18:43:38 -0300

Hi Ben,

On 06/13/2016 06:26 PM, Benjamin Herrenschmidt wrote:
> I've been thinking about this a bit... it might be worthwhile adding
> a dma_* call to query the approximate size of the IOMMU window, as
> a way for the device to adjust its requirements dynamically.

Ok, cool; something like it was one of the options being discussed here.

What do you mean by 'approximate'? Maybe the size of 'free regions' in 
the pools? -- not sure because iiuic the window size is static / 2 gig,
so didn't get why (or of what) to provide an approximation (for).

> Another option would be to use a dma_attr for silencing mapping errors
> which NVME could use provided it does handle them gracefully ...

Ah, that's new. Interesting. Thanks for suggestion!

-- 
Mauricio Faria de Oliveira
IBM Linux Technology Center